Subject: RE: [Simple] Filtering: one issue still open

From: <[email-masked]>
Date: Tue, 21 Mar 2006 09:15:46 +0100

Hi, 

I am still not sure what the "previous XML document" is. Is it the last
one which reached the watcher, or the last one selected to be delivered
by the trigger? As michal wrote, due to throtlling, these might not be
the same.

Thank you, 

Silvestr

> -----Original Message-----
> From: Hisham Khartabil [mailto:[email-masked]]
> Sent: Monday, March 20, 2006 5:53 PM
> To: Burda Michal
> Cc: [email-masked]
> Subject: Re: [Simple] Filtering: one issue still open
> 
> 
> On Mar 20, 2006, at 3:41 PM, <[email-masked]> wrote:
> 
> > Hi,
> >
> > draft-ietf-simple-filter-format-05 says:
> >
> > "The (filter's) <changed> element is used to identify the XML
element
> > or
> > attribute, from the package specific XML document, whose value MUST
> > change, compared to the "previous XML document", in order to
activate
> > the trigger and cause the content to be delivered.  Previous XML
> > document in this context refers to the last XML document that was
> > selected for delivery to that specific subscription before any
filter
> > was applied to it."
> >
> > I understand that the "previous XML document" is the last
notification
> > that is sent to the subscriber, but without any 'what' filter
applied
> > on
> > it. Simply said, the "previous XML document" is the whole
presentity's
> > presence document whose filtered piece was selected for delivery to
the
> > subscriber. Right?
> 
> This is right.
> 
> >
> > Now, I don't completely understand, what is "selected for delivery".
Is
> > it the information that passed the triggering only, or is it the
> > information that was *really* sent to the subscriber? It is not the
> > same, since after filtering, there is also the throttling component
in
> > the presence server that may cause the notification to be not sent,
in
> > fact.
> 
> I will reword this sentence in the Author's 48 hours since it is
> causing a lot of confusion. What you describe as the "previous XML
> document" is enough.
> 
> Hisham
> 
> >
> > Please note, this is also connected to the filtering & throttling
> > paradox I've posted here a few days ago.
> >
> > What is your opinion Hisham? (Other people are welcome to post
> > suggestions too, of course :)
> >
> > Thank you very much.
> >
> >
> > Best regards,
> >
> >
> > Michal Burda
> >
> > _______________________________________________
> > Simple mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/simple
> >
> 
> 
> _______________________________________________
> Simple mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/simple

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple